<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_DescriptionOfAccountingPolicyForCurrentAndNonCurrentDisclosure" xlink:label="stjamessplaceplc_DescriptionOfAccountingPolicyForCurrentAndNonCurrentDisclosure" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_DescriptionOfAccountingPolicyForInvestmentReturn" xlink:label="stjamessplaceplc_DescriptionOfAccountingPolicyForInvestmentReturn" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_InvestmentReturn" xlink:label="stjamessplaceplc_InvestmentReturn" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_SharesInTrustReserveMember" xlink:label="stjamessplaceplc_SharesInTrustReserveMember" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_DescriptionOfAccountingPolicyForEquitiesFixedIncomeSecuritiesAndInvestmentInCollectiveInvestmentSchemes" xlink:label="stjamessplaceplc_DescriptionOfAccountingPolicyForEquitiesFixedIncomeSecuritiesAndInvestmentInCollectiveInvestmentSchemes" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_DescriptionOfAccountingPolicyForAlternativePerformanceMeasures" xlink:label="stjamessplaceplc_DescriptionOfAccountingPolicyForAlternativePerformanceMeasures" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_ConsiderationPaidForOwnSharesRelatingToCashFlowsFromFinancingActivities" xlink:label="stjamessplaceplc_ConsiderationPaidForOwnSharesRelatingToCashFlowsFromFinancingActivities" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_DescriptionOfAccountingPolicyForInvestmentContractDepositsAndWthdrawals" xlink:label="stjamessplaceplc_DescriptionOfAccountingPolicyForInvestmentContractDepositsAndWthdrawals" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_InvestmentsEquities" xlink:label="stjamessplaceplc_InvestmentsEquities" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_DescriptionOfAccountingPolicyForInvestmentContractBenefits" xlink:label="stjamessplaceplc_DescriptionOfAccountingPolicyForInvestmentContractBenefits" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_DeferredAcquisitionCosts" xlink:label="stjamessplaceplc_DeferredAcquisitionCosts" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_InsurancePremiumIncome" xlink:label="stjamessplaceplc_InsurancePremiumIncome" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_MovementInInvestmentContractBenefits" xlink:label="stjamessplaceplc_MovementInInvestmentContractBenefits" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_ChangeInInsuranceContractLiabilitiesGrossAmount" xlink:label="stjamessplaceplc_ChangeInInsuranceContractLiabilitiesGrossAmount" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_PolicyClaimsAndBenefitsGrossAmount" xlink:label="stjamessplaceplc_PolicyClaimsAndBenefitsGrossAmount" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_LessPremiumsCededToReinsurers" xlink:label="stjamessplaceplc_LessPremiumsCededToReinsurers" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_RetainedEarningsCreditInRespectOfShareOptionCharges" xlink:label="stjamessplaceplc_RetainedEarningsCreditInRespectOfShareOptionCharges" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_IntangibleAssetsPurchasedValueOfInForceBusiness" xlink:label="stjamessplaceplc_IntangibleAssetsPurchasedValueOfInForceBusiness" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_LessTaxAttributableToPolicyholdersReturns" xlink:label="stjamessplaceplc_LessTaxAttributableToPolicyholdersReturns" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_TaxAttributableToPolicyholdersReturns" xlink:label="stjamessplaceplc_TaxAttributableToPolicyholdersReturns" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_DisclosureOfInvestmentReturnAndMovementInInvestmentContractBenefits" xlink:label="stjamessplaceplc_DisclosureOfInvestmentReturnAndMovementInInvestmentContractBenefits" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_TaxAttributableToShareholdersReturns" xlink:label="stjamessplaceplc_TaxAttributableToShareholdersReturns" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_ProceedsFromTheIssueOfShareCapitalAndExerciseOfOptionsClassifiedAsFinancingActivities" xlink:label="stjamessplaceplc_ProceedsFromTheIssueOfShareCapitalAndExerciseOfOptionsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_DescriptionOfAccountingPolicyForNetAssetValueAttributableToUnitHolders" xlink:label="stjamessplaceplc_DescriptionOfAccountingPolicyForNetAssetValueAttributableToUnitHolders" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_DescriptionOfAccountingPolicyForDeferredIncome" xlink:label="stjamessplaceplc_DescriptionOfAccountingPolicyForDeferredIncome" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_ProfitBeforeTaxAttributableToShareholdersReturns" xlink:label="stjamessplaceplc_ProfitBeforeTaxAttributableToShareholdersReturns" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_ContingentConsiderationClassifiedAsOperatingActivities" xlink:label="stjamessplaceplc_ContingentConsiderationClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_InvestmentsFixedIncomeSecurities" xlink:label="stjamessplaceplc_InvestmentsFixedIncomeSecurities" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_NetAssetsPerShare" xlink:label="stjamessplaceplc_NetAssetsPerShare" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_ChangeInInsuranceContractLiabilitiesReinsurersShare" xlink:label="stjamessplaceplc_ChangeInInsuranceContractLiabilitiesReinsurersShare" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_DescriptionOfAccountingPolicyForProductClassification" xlink:label="stjamessplaceplc_DescriptionOfAccountingPolicyForProductClassification" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_InvestmentsInvestmentInCollectiveInvestmentSchemes" xlink:label="stjamessplaceplc_InvestmentsInvestmentInCollectiveInvestmentSchemes" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_NetAssetValueAttributableToUnitHolders" xlink:label="stjamessplaceplc_NetAssetValueAttributableToUnitHolders" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_PolicyClaimsAndBenefitsReinsurersShare" xlink:label="stjamessplaceplc_PolicyClaimsAndBenefitsReinsurersShare" />
    <loc xlink:type="locator" xlink:href="stjamessplaceplc-2022-12-31.xsd#stjamessplaceplc_NetIncome" xlink:label="stjamessplaceplc_NetIncome" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_InsurancePremiumIncome" xlink:to="label_stjamessplaceplc_stjamessplaceplcInsurancePremiumIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_LessPremiumsCededToReinsurers" xlink:to="label_stjamessplaceplc_stjamessplaceplcLessPremiumsCededToReinsurers_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_InvestmentReturn" xlink:to="label_stjamessplaceplc_stjamessplaceplcInvestmentReturn_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_NetIncome" xlink:to="label_stjamessplaceplc_stjamessplaceplcNetIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_PolicyClaimsAndBenefitsGrossAmount" xlink:to="label_stjamessplaceplc_stjamessplaceplcPolicyClaimsAndBenefitsGrossAmount_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_PolicyClaimsAndBenefitsReinsurersShare" xlink:to="label_stjamessplaceplc_stjamessplaceplcPolicyClaimsAndBenefitsReinsurersShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_ChangeInInsuranceContractLiabilitiesGrossAmount" xlink:to="label_stjamessplaceplc_stjamessplaceplcChangeInInsuranceContractLiabilitiesGrossAmount_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_ChangeInInsuranceContractLiabilitiesReinsurersShare" xlink:to="label_stjamessplaceplc_stjamessplaceplcChangeInInsuranceContractLiabilitiesReinsurersShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_MovementInInvestmentContractBenefits" xlink:to="label_stjamessplaceplc_stjamessplaceplcMovementInInvestmentContractBenefits_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_TaxAttributableToPolicyholdersReturns" xlink:to="label_stjamessplaceplc_stjamessplaceplcTaxAttributableToPolicyholdersReturns_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_ProfitBeforeTaxAttributableToShareholdersReturns" xlink:to="label_stjamessplaceplc_stjamessplaceplcProfitBeforeTaxAttributableToShareholdersReturns_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_LessTaxAttributableToPolicyholdersReturns" xlink:to="label_stjamessplaceplc_stjamessplaceplcLessTaxAttributableToPolicyholdersReturns_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_TaxAttributableToShareholdersReturns" xlink:to="label_stjamessplaceplc_stjamessplaceplcTaxAttributableToShareholdersReturns_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_SharesInTrustReserveMember" xlink:to="label_stjamessplaceplc_SharesInTrustReserveMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_RetainedEarningsCreditInRespectOfShareOptionCharges" xlink:to="label_stjamessplaceplc_stjamessplaceplcRetainedEarningsCreditInRespectOfShareOptionCharges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_DeferredAcquisitionCosts" xlink:to="label_stjamessplaceplc_stjamessplaceplcDeferredAcquisitionCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_IntangibleAssetsPurchasedValueOfInForceBusiness" xlink:to="label_stjamessplaceplc_stjamessplaceplcIntangibleAssetsPurchasedValueOfInForceBusiness_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_InvestmentsEquities" xlink:to="label_stjamessplaceplc_stjamessplaceplcInvestmentsEquities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_InvestmentsFixedIncomeSecurities" xlink:to="label_stjamessplaceplc_stjamessplaceplcInvestmentsFixedIncomeSecurities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_InvestmentsInvestmentInCollectiveInvestmentSchemes" xlink:to="label_stjamessplaceplc_stjamessplaceplcInvestmentsInvestmentInCollectiveInvestmentSchemes_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_NetAssetValueAttributableToUnitHolders" xlink:to="label_stjamessplaceplc_stjamessplaceplcNetAssetValueAttributableToUnitHolders_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_NetAssetsPerShare" xlink:to="label_stjamessplaceplc_stjamessplaceplcNetAssetsPerShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_ContingentConsiderationClassifiedAsOperatingActivities" xlink:to="label_stjamessplaceplc_stjamessplaceplcContingentConsiderationClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_ProceedsFromTheIssueOfShareCapitalAndExerciseOfOptionsClassifiedAsFinancingActivities" xlink:to="label_stjamessplaceplc_stjamessplaceplcProceedsFromTheIssueOfShareCapitalAndExerciseOfOptionsClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_ConsiderationPaidForOwnSharesRelatingToCashFlowsFromFinancingActivities" xlink:to="label_stjamessplaceplc_stjamessplaceplcConsiderationPaidForOwnSharesRelatingToCashFlowsFromFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_DescriptionOfAccountingPolicyForInvestmentReturn" xlink:to="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForInvestmentReturn_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_DescriptionOfAccountingPolicyForInvestmentContractDepositsAndWthdrawals" xlink:to="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForInvestmentContractDepositsAndWthdrawals_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_DescriptionOfAccountingPolicyForEquitiesFixedIncomeSecuritiesAndInvestmentInCollectiveInvestmentSchemes" xlink:to="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForEquitiesFixedIncomeSecuritiesAndInvestmentInCollectiveInvestmentSchemes_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_DescriptionOfAccountingPolicyForInvestmentContractBenefits" xlink:to="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForInvestmentContractBenefits_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_DescriptionOfAccountingPolicyForDeferredIncome" xlink:to="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForDeferredIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_DescriptionOfAccountingPolicyForNetAssetValueAttributableToUnitHolders" xlink:to="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForNetAssetValueAttributableToUnitHolders_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_DescriptionOfAccountingPolicyForProductClassification" xlink:to="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForProductClassification_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_DescriptionOfAccountingPolicyForCurrentAndNonCurrentDisclosure" xlink:to="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForCurrentAndNonCurrentDisclosure_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_DescriptionOfAccountingPolicyForAlternativePerformanceMeasures" xlink:to="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForAlternativePerformanceMeasures_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="stjamessplaceplc_DisclosureOfInvestmentReturnAndMovementInInvestmentContractBenefits" xlink:to="label_stjamessplaceplc_stjamessplaceplcDisclosureOfInvestmentReturnAndMovementInInvestmentContractBenefits_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcInsurancePremiumIncome_Standard" id="stjamessplaceplc_stjamessplaceplcInsurancePremiumIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Insurance premium income</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcLessPremiumsCededToReinsurers_Standard" id="stjamessplaceplc_stjamessplaceplcLessPremiumsCededToReinsurers_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Less premiums ceded to reinsurers</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcInvestmentReturn_Standard" id="stjamessplaceplc_stjamessplaceplcInvestmentReturn_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Investment return</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcNetIncome_Standard" id="stjamessplaceplc_stjamessplaceplcNetIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net income</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcPolicyClaimsAndBenefitsGrossAmount_Standard" id="stjamessplaceplc_stjamessplaceplcPolicyClaimsAndBenefitsGrossAmount_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Policy claims and benefits – gross amount</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcPolicyClaimsAndBenefitsReinsurersShare_Standard" id="stjamessplaceplc_stjamessplaceplcPolicyClaimsAndBenefitsReinsurersShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Policy claims and benefits – Reinsurers’ share</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcChangeInInsuranceContractLiabilitiesGrossAmount_Standard" id="stjamessplaceplc_stjamessplaceplcChangeInInsuranceContractLiabilitiesGrossAmount_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Change in insurance contract liabilities - gross amount</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcChangeInInsuranceContractLiabilitiesReinsurersShare_Standard" id="stjamessplaceplc_stjamessplaceplcChangeInInsuranceContractLiabilitiesReinsurersShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Change in insurance contract liabilities – reinsurers’ share</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcMovementInInvestmentContractBenefits_Standard" id="stjamessplaceplc_stjamessplaceplcMovementInInvestmentContractBenefits_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Movement in investment contract benefits</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcTaxAttributableToPolicyholdersReturns_Standard" id="stjamessplaceplc_stjamessplaceplcTaxAttributableToPolicyholdersReturns_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Tax attributable to policyholders’ returns</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcProfitBeforeTaxAttributableToShareholdersReturns_Standard" id="stjamessplaceplc_stjamessplaceplcProfitBeforeTaxAttributableToShareholdersReturns_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit before tax attributable to shareholders’ returns</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcLessTaxAttributableToPolicyholdersReturns_Standard" id="stjamessplaceplc_stjamessplaceplcLessTaxAttributableToPolicyholdersReturns_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Less: tax attributable to policyholders’ returns</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcTaxAttributableToShareholdersReturns_Standard" id="stjamessplaceplc_stjamessplaceplcTaxAttributableToShareholdersReturns_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Tax attributable to shareholders’ returns </label>
    <label xlink:label="label_stjamessplaceplc_SharesInTrustReserveMember" id="stjamessplaceplc_SharesInTrustReserveMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Shares in trust reserve </label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcRetainedEarningsCreditInRespectOfShareOptionCharges_Standard" id="stjamessplaceplc_stjamessplaceplcRetainedEarningsCreditInRespectOfShareOptionCharges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Retained earnings credit in respect of share option charges </label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcDeferredAcquisitionCosts_Standard" id="stjamessplaceplc_stjamessplaceplcDeferredAcquisitionCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deferred acquisition costs</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcIntangibleAssetsPurchasedValueOfInForceBusiness_Standard" id="stjamessplaceplc_stjamessplaceplcIntangibleAssetsPurchasedValueOfInForceBusiness_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Intangible assets – Purchased value of in-force business</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcInvestmentsEquities_Standard" id="stjamessplaceplc_stjamessplaceplcInvestmentsEquities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Investments- Equities</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcInvestmentsFixedIncomeSecurities_Standard" id="stjamessplaceplc_stjamessplaceplcInvestmentsFixedIncomeSecurities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Investments – Fixed income securities</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcInvestmentsInvestmentInCollectiveInvestmentSchemes_Standard" id="stjamessplaceplc_stjamessplaceplcInvestmentsInvestmentInCollectiveInvestmentSchemes_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Investment in Collective Investment Schemes</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcNetAssetValueAttributableToUnitHolders_Standard" id="stjamessplaceplc_stjamessplaceplcNetAssetValueAttributableToUnitHolders_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net asset value attributable to unit holders</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcNetAssetsPerShare_Standard" id="stjamessplaceplc_stjamessplaceplcNetAssetsPerShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net assets per share</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcContingentConsiderationClassifiedAsOperatingActivities_Standard" id="stjamessplaceplc_stjamessplaceplcContingentConsiderationClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Contingent consideration classified as operating activities</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcProceedsFromTheIssueOfShareCapitalAndExerciseOfOptionsClassifiedAsFinancingActivities_Standard" id="stjamessplaceplc_stjamessplaceplcProceedsFromTheIssueOfShareCapitalAndExerciseOfOptionsClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds from the issue of share capital and exercise of options classified as financing activities</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcConsiderationPaidForOwnSharesRelatingToCashFlowsFromFinancingActivities_Standard" id="stjamessplaceplc_stjamessplaceplcConsiderationPaidForOwnSharesRelatingToCashFlowsFromFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Consideration paid for own shares relating to cash flows from financing activities</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForInvestmentReturn_Standard" id="stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForInvestmentReturn_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for investment return</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForInvestmentContractDepositsAndWthdrawals_Standard" id="stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForInvestmentContractDepositsAndWthdrawals_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for investment contract deposits and withdrawals</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForEquitiesFixedIncomeSecuritiesAndInvestmentInCollectiveInvestmentSchemes_Standard" id="stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForEquitiesFixedIncomeSecuritiesAndInvestmentInCollectiveInvestmentSchemes_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for equities fixed income securities and investment in collective investment schemes</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForInvestmentContractBenefits_Standard" id="stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForInvestmentContractBenefits_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for investment contract benefits</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForDeferredIncome_Standard" id="stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForDeferredIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for deferred income</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForNetAssetValueAttributableToUnitHolders_Standard" id="stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForNetAssetValueAttributableToUnitHolders_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for net asset value attributable to unit holders</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForProductClassification_Standard" id="stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForProductClassification_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for product classification</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForCurrentAndNonCurrentDisclosure_Standard" id="stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForCurrentAndNonCurrentDisclosure_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for current and non current disclosure</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForAlternativePerformanceMeasures_Standard" id="stjamessplaceplc_stjamessplaceplcDescriptionOfAccountingPolicyForAlternativePerformanceMeasures_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for alternative performance measures</label>
    <label xlink:label="label_stjamessplaceplc_stjamessplaceplcDisclosureOfInvestmentReturnAndMovementInInvestmentContractBenefits_Standard" id="stjamessplaceplc_stjamessplaceplcDisclosureOfInvestmentReturnAndMovementInInvestmentContractBenefits_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of investment return and movement in investment contract benefits</label>
  </labelLink>
</linkbase>